> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Black Box Test Results

> Returns the results of the various black box tests



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/seti.yml get /seti/black_box_test_results
openapi: 3.1.0
info:
  title: Telnyx SETI API
  version: 2.0.0
  description: API for SETI.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /seti/black_box_test_results:
    get:
      tags:
        - SETI Observability
      summary: Retrieve Black Box Test Results
      description: Returns the results of the various black box tests
      operationId: GetBlackBoxTestResults
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          required: false
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[product]
          schema:
            type: object
            properties:
              product:
                type: string
                description: Filter results for a specific product.
      responses:
        '200':
          $ref: '#/components/responses/BlackBoxTestResultsResponse'
        '401':
          description: Unauthorized
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.seti.retrieveBlackBoxTestResults();

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.seti.retrieve_black_box_test_results()
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Seti.GetBlackBoxTestResults(context.TODO(), telnyx.SetiGetBlackBoxTestResultsParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.seti.SetiRetrieveBlackBoxTestResultsParams;

            import
            com.telnyx.sdk.models.seti.SetiRetrieveBlackBoxTestResultsResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SetiRetrieveBlackBoxTestResultsResponse response = client.seti().retrieveBlackBoxTestResults();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.seti.retrieve_black_box_test_results

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->seti->retrieveBlackBoxTestResults(
                filter: ['product' => 'product']
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx seti retrieve-black-box-test-results \
              --api-key 'My API Key'
components:
  responses:
    BlackBoxTestResultsResponse:
      description: A list of black box test results.
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/BlackBoxTestResultSet'
  schemas:
    BlackBoxTestResultSet:
      type: object
      properties:
        record_type:
          type: string
          example: black_box_test_result
        product:
          type: string
          example: cloud_storage
          description: The product associated with the black box test group.
        black_box_tests:
          type: array
          items:
            $ref: '#/components/schemas/BlackBoxTestResult'
    BlackBoxTestResult:
      type: object
      properties:
        record_type:
          type: string
          example: black_box_test
        id:
          type: string
          description: The name of the black box test.
          example: msg_overview_outbound_sms
        result:
          type: number
          description: The average result of the black box test over the last hour.
          example: 0.999
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````